/*
    This file is a part of the SteamWar software.

    Copyright (C) 2020  SteamWar.de-Serverteam

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU Affero General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
    GNU Affero General Public License for more details.

    You should have received a copy of the GNU Affero General Public License
    along with this program.  If not, see <https://www.gnu.org/licenses/>.
*/

package de.steamwar.bausystem.tracer;

import de.steamwar.bausystem.tracer.show.Record;
import org.bukkit.entity.Entity;
import org.bukkit.util.Vector;

public class TNTPosition {

    private final Record.TNTRecord record;
    private final Vector location;
    private final Vector previousLocation;
    private final boolean exploded;

    public TNTPosition(Record.TNTRecord record, Entity entity, Vector previousLocation, boolean exploded) {
        this.location = entity.getLocation().toVector();
        this.record = record;
        this.previousLocation = previousLocation;
        this.exploded = exploded;
    }

    public Vector getLocation() {
        return location;
    }

    public Vector getPreviousLocation() {
        return previousLocation;
    }

    public boolean isExploded() {
        return exploded;
    }

    public Record.TNTRecord getRecord() {
        return record;
    }

    @Override
    public String toString() {
        return "Position{" +
                "location=" + location +
                '}';
    }

}
